Bug 1275487 - Review Request: libu2f-host - Yubico Universal 2nd Factor (U2F) Host C Library
Review Request: libu2f-host - Yubico Universal 2nd Factor (U2F) Host C Library
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andy Lutomirski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 23:38 EDT by Seth Jennings
Modified: 2017-02-18 07:48 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-18 07:48:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
luto: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Seth Jennings 2015-10-26 23:38:11 EDT
Spec URL: https://www.variantweb.net/pub/review/libu2f-host.spec
SRPM URL: https://www.variantweb.net/pub/review/libu2f-host-1.0.0-2.fc22.src.rpm
Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=11592600
Description: libu2f-host provides a C library that implements the host-side of the U2F protocol. There are APIs to talk to a U2F device and perform the U2F Register and U2F Authenticate operations.
Fedora Account System Username: spartacus06
Comment 1 Seth Jennings 2015-10-26 23:39:07 EDT
*** Bug 1155826 has been marked as a duplicate of this bug. ***
Comment 2 Upstream Release Monitoring 2015-10-26 23:40:41 EDT
spartacus06's scratch build of libu2f-host-1.0.0-2.fc22.src.rpm for f22 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11592600
Comment 3 Andy Lutomirski 2015-10-28 18:46:41 EDT
Notes:

You have Requires: systemd.  I think you don't need it.
Please make sure you own gtk-doc.  The packaging guidelines are reasonably
clear that duplicate ownership of gtk-doc is okay, but failing to own it
if you don't depend on something else that owns it is problematic.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Provides: bundled(gnulib) in place as required.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated", "MIT/X11 (BSD like)", "LGPL (v2.1 or later)". 88 files
     have unknown license. Detailed output of licensecheck in
     /home/luto/devel/fedora/libu2f-host/seth/libu2f-host/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gtk-doc, /usr/share
     /gtk-doc/html
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: libu2f-host-1.0.0-2.fc21.x86_64.rpm
          u2f-host-1.0.0-2.fc21.x86_64.rpm
          libu2f-host-devel-1.0.0-2.fc21.x86_64.rpm
          libu2f-host-1.0.0-2.fc21.src.rpm
libu2f-host.x86_64: W: spelling-error Summary(en_US) Yubico -> Rubicon
libu2f-host-devel.x86_64: W: only-non-binary-in-usr-lib
libu2f-host.src: W: spelling-error Summary(en_US) Yubico -> Rubicon
libu2f-host.src:15: W: unversioned-explicit-provides bundled(gnulib)
libu2f-host.src:10: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 10)
4 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libu2f-host-debuginfo-1.0.0-2.fc21.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
libu2f-host-devel.x86_64: W: only-non-binary-in-usr-lib
libu2f-host.x86_64: W: spelling-error Summary(en_US) Yubico -> Rubicon
4 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
libu2f-host-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libu2f-host(x86-64)
    libu2f-host.so.0()(64bit)

libu2f-host (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libhidapi-hidraw.so.0()(64bit)
    libjson-c.so.2()(64bit)
    rtld(GNU_HASH)

u2f-host (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libu2f-host(x86-64)
    libu2f-host.so.0()(64bit)
    libu2f-host.so.0(U2F_HOST_0.0)(64bit)
    rtld(GNU_HASH)



Provides
--------
libu2f-host-devel:
    libu2f-host-devel
    libu2f-host-devel(x86-64)
    pkgconfig(u2f-host)

libu2f-host:
    bundled(gnulib)
    libu2f-host
    libu2f-host(x86-64)
    libu2f-host.so.0()(64bit)
    libu2f-host.so.0(U2F_HOST_0.0)(64bit)

u2f-host:
    u2f-host
    u2f-host(x86-64)



Source checksums
----------------
http://developers.yubico.com/libu2f-host/releases/libu2f-host-1.0.0.tar.xz :
  CHECKSUM(SHA256) this package     : 18c56b9b5cfea2566925bba45b25a4e20b3ef8696905d8f2a06116316e164374
  CHECKSUM(SHA256) upstream package : 18c56b9b5cfea2566925bba45b25a4e20b3ef8696905d8f2a06116316e164374
http://developers.yubico.com/libu2f-host/releases/libu2f-host-1.0.0.tar.xz.sig :
  CHECKSUM(SHA256) this package     : 859a53b146f62c7d06f3e232eb28bafe773db2e7ec039467908afc35b801cc03
  CHECKSUM(SHA256) upstream package : 859a53b146f62c7d06f3e232eb28bafe773db2e7ec039467908afc35b801cc03


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -rn /home/luto/rpmbuild/SRPMS/libu2f-host-1.0.0-2.fc22.src.rpm
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Seth Jennings 2015-10-28 23:35:33 EDT
Thanks for the review!  I have addressed the issues you mentioned.

Spec URL: https://www.variantweb.net/pub/review/libu2f-host.spec
SRPM URL: https://www.variantweb.net/pub/review/libu2f-host-1.0.0-3.fc22.src.rpm
Comment 5 Upstream Release Monitoring 2015-10-28 23:39:10 EDT
spartacus06's scratch build of libu2f-host-1.0.0-3.fc22.src.rpm for f22 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11619590
Comment 6 Andy Lutomirski 2015-10-30 18:37:49 EDT
LGTM
Comment 7 Andy Lutomirski 2015-10-30 18:38:24 EDT
FWIW, it might be nice to the users of this package to depend on u2f-hidraw-policy once that shows up in the repo :)
Comment 8 Gwyn Ciesla 2015-11-02 09:09:00 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/libu2f-host
Comment 9 Upstream Release Monitoring 2015-11-12 07:38:55 EST
jjelen's scratch build of yubico-piv-tool?#f493f908260c8e3946798b6730c4e20e37b367fa for git://pkgs.fedoraproject.org/yubico-piv-tool?#f493f908260c8e3946798b6730c4e20e37b367fa and rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11804105
Comment 10 Upstream Release Monitoring 2015-12-03 21:50:40 EST
pbrobinson's scratch build of yubico-piv-tool?#f493f908260c8e3946798b6730c4e20e37b367fa for epel7-archbootstrap and git://pkgs.fedoraproject.org/yubico-piv-tool?#f493f908260c8e3946798b6730c4e20e37b367fa completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12039658
Comment 11 Piotr Popieluch 2017-02-18 07:48:19 EST
This packages is in Fedora now, closing bug.

Note You need to log in before you can comment on or make changes to this bug.